> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available models

> Retrieves a list of all LLM models accessible to the user.



## OpenAPI

````yaml /api-reference/openapi.en.json get /models
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /models:
    get:
      tags:
        - Public API
        - Public API - Agent Sessions
      summary: List available models
      description: Retrieves a list of all LLM models accessible to the user.
      operationId: list_available_models_models_get
      parameters:
        - name: X-End-User-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-End-User-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicModel'
                title: Response List Available Models Models Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PublicModel:
      properties:
        name:
          type: string
          title: Name
          description: The internal name of the model.
          example: gpt-4o
        provider:
          type: string
          title: Provider
          description: The provider of the model.
          example: openai
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: A description of the model.
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
          description: A user-friendly display name for the model.
          example: GPT-4o
        default:
          type: boolean
          title: Default
          description: Whether this is the default model.
          default: false
      type: object
      required:
        - name
        - provider
      title: PublicModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````